Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4239 - ispell reverts local dictionary to American English upon upgrade 5.2 -> 6.0
Summary: ispell reverts local dictionary to American English upon upgrade 5.2 -> 6.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ispell
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-28 16:08 UTC by David Woodhouse
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-19 22:30:13 UTC


Attachments (Terms of Use)

Description David Woodhouse 1999-07-28 16:08:46 UTC
Having installed British versions of the ispell and words
packages, they were overwritten with the American version
when I upgraded to RH6.

ispell needs to be provided with local distionaries, and
some way of retaining the desired settings across an
upgrade.

Comment 1 Jeff Johnson 1999-09-06 17:15:59 UTC
FWIW I've added the British dictonary to ispell, although the
English dictionary is still American. AFAIK a couple of symlinks
should permit you to change the deafulat English to British.

If you send a pointer/copy of British /usr/dict/words, I will try to
include a locale specific /usr/dict/words.

Adding support for local dictionaries seems barely worth the effort
at this time. Pleases send a pointer to a better dictionary for
inclusion in the ispell package instead.

------- Additional Comments From   09/20/99 12:26 -------
An SRPM of British words is in the libc5 contrib. If this is what
you've included in ispell, then I don't know of anything better.
That's been good enough for us for some time, though.

It's not really the lack of UK dictionaries that I considered a bug,
but the fact that after I'd gone to the trouble of finding and
installing them, the RH6 upgrade removed them again for me. Perhaps
they should be marked as config files?

I've now just ditched ispell and replaced it with aspell - which is
possibly a good solution for Lorax, too. It allows fairly simple
system-wide and/or user configuration of dictionaries, and I believe
it also has separate language dictionaries in separate RPMS, which
have would fixed my original problem.

Comment 2 Michael K. Johnson 1999-11-19 22:30:59 UTC
Since we now install many different dictionaries, including british,
this should have been a one-time inconvenience.


Note You need to log in before you can comment on or make changes to this bug.